# $Revision: 1.9 $, $Date: 2002/05/05 12:17:23 $
Summary:	A front end for testing other programs
Summary(pl):	Platforma do testowania innych programw
Name:		dejagnu
Version:	1.4.0
Release:	1
Epoch:		1
License:	GPL
Group:		Development/Tools
Source0:	ftp://ftp.gnu.org/gnu/dejagnu/%{name}-%{version}.tar.gz
Patch0:		%{name}-am_fixes.patch
BuildRequires:	autoconf
BuildRequires:	automake
Requires:	tcl >= 8.0
Requires:	expect >= 5.21
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DejaGnu is an Expect/Tcl based framework for testing other programs.
DejaGnu has several purposes: to make it easy to write tests for any
program; to allow you to write tests which will be portable to any
host or target where a program must be tested; and to standardize the
output format of all tests (making it easier to integrate the testing
into software development).

%description -l pl
DejaGnu jest platform bazujc na Expect'ie i Tcl suca do
testowania innych programw. DejaGnu umoliwia atwe tworzenie testw
do niemal dowolnego programu, uruchamiania ich na rnych platformach
sprztowych oraz zapewnia jednolity format raportw z przebiegu
testowania.

%prep
%setup -q -n dejagnu-1.4
%patch0 -p1

%build
rm -f missing
aclocal
autoconf
automake -a -c -f
cd example/calc
rm -f missing
aclocal
autoconf
automake -a -c -f
cd ../..
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
#install -d$RPM_BUILD_ROOT{%{_datadir}/dejagnu,%{_prefix}/doc/dejagnu-%{version}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

gzip -9nf NEWS README AUTHORS ChangeLog

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
# %config site.exp
%doc *.gz doc/overview
%attr(755,root,root) %{_bindir}/runtest
%dir %{_datadir}/dejagnu
%attr(755,root,root) %{_datadir}/dejagnu/config.guess
%attr(755,root,root) %{_datadir}/dejagnu/runtest.exp
%attr(755,root,root) %{_datadir}/dejagnu/libexec/config.guess
%{_datadir}/dejagnu/[^crl]*
%{_datadir}/dejagnu/rlogin.exp
%{_datadir}/dejagnu/remote.exp
%{_datadir}/dejagnu/rsh.exp
%{_datadir}/dejagnu/libgloss.exp
%{_datadir}/dejagnu/config

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: dejagnu.spec,v $
Revision 1.9  2002/05/05 12:17:23  kloczek
- typos.

Revision 1.8  2002/05/05 12:14:29  kloczek
- added Epoch: 1.

Revision 1.7  2002/05/05 12:13:18  kloczek
- regenerate ac/am files and use %%configure macro (added am_fixes aptch),
- INSTALL removed from %doc and added gzipping %doc files,
- siplify %install and few cosmetics.

Revision 1.6  2002/04/25 16:10:11  arturs
fixed a small typo

Revision 1.5  2002/02/23 01:44:58  kloczek
- adapterized.

Revision 1.4  2002/02/22 23:28:47  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/18 02:12:40  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/09/18 13:54:49  ankry
- updated source URL

Revision 1.1  2001/08/07 16:41:51  pawelk
adaptarized and manually corrected spec from redhat; rel 1

* Wed Feb 21 2001 Rob Savoye <rob@welcomehome.org>
- Fixed Requires line, and changed the URL to the new ftp site.

* Sun Oct 31 1999 Rob Savoye <rob@welcomehome.org>
- updated to the latest snapshot
- added doc files
- added the site.exp config file

* Mon Jul 12 1999 Tim Powers <timp@redhat.com>
- updated to 19990628
- updated patches as needed
- added %defattr in files section

* Wed Mar 10 1999 Jeff Johnson <jbj@redhat.com>
- add alpha expect patch (#989)
- use %configure

* Thu Dec 17 1998 Jeff Johnson <jbj@redhat.com>
- Update to 19981215.

* Thu Nov 12 1998 Jeff Johnson <jbj@redhat.com>
- Update to 1998-10-29.

* Wed Jul  8 1998 Jeff Johnson <jbj@redhat.com>
- Update to 1998-05-28.

* Sun Feb  1 1998 Jeff Johnson <jbj@jbj.org>
- Create.

